import laan.turtle.*;
import java.awt.*;
import javax.swing.*;


public class H extends JApplet
{
	private JTurtle schildpad;
	private int diepte;
	
	public void init()
	{
		diepte = Integer.parseInt(JOptionPane.showInputDialog("Geef de diepte"));
		schildpad = new JTurtle(this);
	}
	
	public void paint(Graphics g)
	{

		super.paint(g);
		schildpad.init();

		h(150,diepte);
	}
	
	public void h(double lengte, int diepte)
	{
		
			if(diepte>0)
	  			{	
					JTurtlePos pos1=schildpad.getPos();
					schildpad.lt(90);
					schildpad.fd(lengte/2);
					JTurtlePos pos2=schildpad.getPos();
					schildpad.rt(90);
					schildpad.fd(lengte/2);
					h(lengte/3,diepte-1);
					schildpad.setPos(pos2);
					schildpad.lt(90);
					schildpad.fd(lengte/2);
					h(lengte/3,diepte-1);
					schildpad.setPos(pos1);
					schildpad.rt(90);
					schildpad.fd(lengte/2);
					JTurtlePos pos3=schildpad.getPos();
					schildpad.lt(90);
					schildpad.fd(lengte/2);
					h(lengte/3,diepte-1);
					schildpad.setPos(pos3);
					schildpad.rt(90);
					schildpad.fd(lengte/2);
					h(lengte/3,diepte-1);
					schildpad.setPos(pos1);

		
		
				}
	}
}